# norootforbuild

%define		soname		0

Name:		libmpeg2-%{soname}
Summary:	MPEG-2 Video Stream Decoder
URL:		http://libmpeg2.sourceforge.net/
License:	GNU General Public License (GPL)
Group:		System/Libraries
Packager:   	Henne Vogelsang <henne@links2linux.de>
Version:	0.5.1
Release:	1.10
Source:    	http://libmpeg2.sourceforge.net/files/libmpeg2-%{version}.tar.gz 
Provides:	libmpeg22_0
Obsoletes:	libmpeg22_0
BuildRoot:	%{_tmppath}/buildroot-%{name}-%{version}
BuildRequires:	SDL-devel

%description
libmpeg2 is a free library for decoding mpeg-2 and mpeg-1 video streams. It is
released under the terms of the GPL license.

The main goals in libmpeg2 development are:
* Conformance - libmpeg2 is able to decode all mpeg streams that conform to
  certain restrictions: "constrained parameters" for mpeg-1, and "main profile"
  for mpeg-2. In practice, this is what most people are using. For streams that
  follow these restrictions, we believe libmpeg2 is 100% conformant to the mpeg
  standards - and we have a pretty extensive test suite to check this.
* Speed - there has been huge efforts there, and we believe libmpeg2 is the
  fastest library around for what it does. Please tell us if you find a faster
  one ! With typical video streams as found on DVD's, and doing only decoding
  with no display, you should be able to get about 110 fps on a PIII/666, or 150
  fps on an Athlon/950. This is less than 20 cycles per output pixel. In a real
  player program, the display routines will probably take as much time as the
  actual decoding !
* Portability - most of the code is written in C, and when we use
  platform-specific optimizations (typically assembly routines, currently used
  for the motion compensation and the inverse cosine transform stages) we
  always have a generic C routine to fall back on. This should be portable to
  all architectures - at least we have heard reports from people running this
  code on x86, ppc, sparc, arm and sh4. Assembly-optimized implementations are
  available on x86 (MMX) and ppc (altivec) architectures. Ultrasparc (VIS) is
  probably the next on the list - we'll see.
* Reuseability - we do not want libmpeg2 to include any project-specific code,
  but it should still include enough features to be used by very diverse
  projects. We are only starting to get there - the best way to help here is to
  give us some feedback !

%package -n libmpeg2-devel
Summary:	Include Files and Libraries mandatory for libmpeg2 Development
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}
Requires:	SDL-devel

%description -n libmpeg2-devel
Development files for %{name}

%package -n mpeg2dec
Summary:	MPEG-2 Decoder
Group:		Productivity/Multimedia/Video/Editors and Convertors
Requires:	%{name} = %{version}

%description -n mpeg2dec
A MPEG2Decoder based on the libmpeg2 libraries.

%prep
%setup -q -n "libmpeg2-%{version}"

%build
%configure --enable-static=no --disable-static
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING  README ChangeLog INSTALL NEWS TODO CodingStyle
%{_libdir}/libmpeg2.so.%{soname}
%{_libdir}/libmpeg2.so.%{soname}.*
%{_libdir}/libmpeg2convert.so.%{soname}
%{_libdir}/libmpeg2convert.so.%{soname}.*

%files -n libmpeg2-devel
%defattr(-,root,root)
%doc doc/*.txt doc/*.c
%dir %{_includedir}/mpeg2dec
%{_includedir}/mpeg2dec/mpeg2.h
%{_includedir}/mpeg2dec/mpeg2convert.h
%{_libdir}/libmpeg2.la
%{_libdir}/libmpeg2.so
%{_libdir}/libmpeg2convert.la
%{_libdir}/libmpeg2convert.so
%{_libdir}/pkgconfig/libmpeg2.pc
%{_libdir}/pkgconfig/libmpeg2convert.pc

%files -n mpeg2dec
%defattr(-,root,root)
%{_bindir}/extract_mpeg2
%{_bindir}/corrupt_mpeg2
%{_bindir}/mpeg2dec
%{_mandir}/man1/mpeg2dec.1*
%{_mandir}/man1/extract_mpeg2.1*

%clean
%__rm -rf "%{buildroot}"

%changelog
* Mon Aug 24 2009 Henne Vogelsang <henne@links2linux.de>
- Fix some build errors by removing stuff from %doc
- specfile cleanup
* Mon Sep 29 2008 Detlef Reichelt <detlef@links2linux.de> <0.5.1>-<0.pm.2>
- fix shared lib policy
* Sat Aug 30 2008 Detlef Reichelt <detlef@links2linux.de> <0.5.1>-<0.pm.1>
- new upstream version <0.5.1>
  * fix broken installation of headers
  * put back /mpeg2dec in the .pc file's include path
* Tue Apr 04 2006 Henne Vogelsang <henne@links2linux.de>
- more x86_64 fixes. 
* Sun Feb 20 2005 Rainer Lay <rainer@links2linux.de> 0.4.0b-21.pm.3
- changes for 64 bit
* Tue Nov  9 2004  <rainer@links2linux.de> - <0.4.0b>-<21.pm.1>
- removed source from package
